2010-10-26  Alexander Kurtakov  <akurtako@redhat.com>
    Apply patch from #316648. Thanks to Charley Wang.
	* plugin.xml: Run rpmlint on spec files only.

2010-07-07  Jeff Johnston  <jjohnstn@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (execute):  Add support
	for IURLEditorInput and call runRpmlint with String arguments for the file path. 
	(runRpmlint): Fix to take a String argument.

2010-05-31  Alexander Kurtakov  <akurtako@redhat.com>
    Fix for bz#309188 (rpmlint doesn't run from within editor).
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (runRpmlint): New method.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (execute): Run on the editor input if it's not structured selection.

2010-06-04  Andrew Overholt  <overholt@redhat.com>

	Bug #315304

	* plugin.properties: Externalize menu items, category names, etc.
	* plugin.xml: Likewise.

2010-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Require o.e.l.rpm.core.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java: Use Utils from core.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java: Likewise.

2010-01-18  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Switch to commands.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java: Make it AbstractHandler. 
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java: Likewise. 

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-06-29  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/Messages.java: New messages for missing rpmlint error.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (run): Show error dialog when rpmlint is not found.

2009-05-29  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (run): Add javadoc.
	(selectionChanged): Likewise.
	(setActivePart): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java (run): Likewise.
	(selectionChanged): Likewise.
	(setActivePart): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java (stop): Likewise.
	(SPECFILE_EXTENSION): Likewise.
	(start): Likewise.
	(PLUGIN_ID): Likewise.
	(RPMFILE_EXTENSION): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java (MARKER_ID): Likewise.
	(MAX_WORKS): Likewise.
	(BUILDER_ID): Likewise.
	(getSpecfileTaskHandler): Make it protected.

2009-05-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release 0.4.3.

2009-05-08  Alphonse Van Assche  <alcapcom@fedoraproject.org>
	Add support for the new 'specfile-error' rpmlint error. This error is 
	returned by rpmlint when it cannot parse a given .spec file using 
	'rpm -q --qf= --specfile file.spec' command. The output of the RPM parser 
	give us some useful information about many .spec file syntax errors.  

	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java: Parse rpm parser error message.
	* plugin.xml: Fix typo.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintItem.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java: Likewise.

2009-03-24  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.xml: Add popup menu item for running rpmlint on spec files.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerRemoveVisitor.java (visit): Clean markers for rpm files.

2009-02-25  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warning for not used parameter.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/ARpmlintResolution.java (getImage): Let's have getImage in the base class to not copy it everywhere.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPrefixTag.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/MacroInChangelog.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/PatchNotApplied.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmBuildrootUsage.java (getImage): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/SetupNotQuiet.java (getImage): Likewise.

2009-02-12  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java (getDescription): Fix javadoc.
	(ID): Likewise.
	(getImage): Likewise.
	(getLabel): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPrefixTag.java (getDescription): Likewise.
	(ID): Likewise.
	(getImage): Likewise.
	(getLabel): Likewise.

2009-02-09  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable warnings for missing javadoc.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java: Add constant for rpm file extension.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/Messages.java (static initializer): Remove not used message. 
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/messages.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java (visitAndMarkRpmlintItems): Likewise.
	(incrementalBuild): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintDeltaVisitor.java (visit): Add rpm files to the to be checked list.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java (visit): Handle markers for rpm files.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintPreVisitor.java (visit): Add rpm files to the to be checked list.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java (addMarker): New method for markers not related with a source line.

2009-02-06  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java (getLineNumberForInsert): Remove methods that return section arrays.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java (getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java (getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java (getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java (getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java (getLineNumberForInsert): Likewise.
	
2009-02-06  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (run): Use utils for command invocation.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java (parseVisisted): Likewise.
	(parseRpmlintOutput): Fix typo.
	(runRpmlintCommand): Use utils for command invocation.

2009-02-02  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java (run): Clear console before outputting to not merge different runs.

2009-02-01  Alexander Kurtakov  <akurtako@redhat.com>
	Fix #262926.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/RunRpmlintAction.java: New file.
	* META-INF/MANIFEST.MF: Add o.e.ui.console require.
	* plugin.xml: Add action for viewing rpmlint output for rpm.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java (run): Simplify and fix warning.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java (getRpmlintPath): New method.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java 
	(runRpmlintCommand): Simplify.
	(getRpmlintPath): Moved in activator. 

2009-01-22  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java: Add constant for specfile extension.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintDeltaVisitor.java (visit): Simplify if and use file extension constant.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerRemoveVisitor.java (visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java (visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintPreVisitor.java (visit): Likewise.

2009-01-22  Alexander Kurtakov  <akurtako@redhat.com>
	Externalize strings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/messages.properties: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java: Add Copyright header. 
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java (visitAndMarkRpmlintItems): Externalize strings.
	(fullBuild): Likewise.
	(incrementalBuild): Likewise.
	(build): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintDeltaVisitor.java (visit):Likewise. 
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerRemoveVisitor.java (visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java (fileToString): Likewise.
	(visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintNature.java: Add Copyright header.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintPreVisitor.java (visit): Externalize strings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/RpmlintPreferencePage.java (createFieldEditors): Externalize strings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/ARpmlintResolution.java: Add 2009 to Copyright year.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java (getDescription): Externalize strings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPrefixTag.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/MacroInChangelog.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/PatchNotApplied.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmBuildrootUsage.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/SetupNotQuiet.java (getDescription): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintLog.java (logError): Likewise.

2009-01-21  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable non externalized strings warnings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java: Add NON-NLS.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintNature.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintItem.java (setSeverity): Likewise. 
	(toString): Likewise.
	(setRefferedContent): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java (getRealLineNbr): Likewise.
	(parseRpmlintOurput): Likewise.
	(runRpmlintCommand): Likewise.
	(getMixedUseOfTabsAndSpaces): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/PreferenceConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/ARemoveLineResolution.java (run): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPrefixTag.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/MacroInChangelog.java (getReplaceString): Likewise.
	(getOriginalString): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java (getLineToInsert): Likewise.
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/PatchNotApplied.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmBuildrootUsage.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java (getRpmlintErrorId): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/SetupNotQuiet.java (getReplaceString): Likewise.
	(getOriginalString): Likewise.

2009-01-15  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java 
	(toggleNature): Comment empty block.
	
2009-01-15  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable javadoc warnings. 
	ONLY to be correct javadoc, not checking missing javadoc. Yet.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java 
	(setActivePart): Comment empty block.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java 
	(getRealLineNbr): Fix javadoc syntax.
	(parseVisisted): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AInsertLineResolution.java 
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintLog.java 
	(logInfo): Likewise.
	(logError): Likewise.
	(log): Likewise.
	(createStatus): Likewise.
	
2009-01-15  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable project wide warnings.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java 
	(RpmlintParser): Make it private so instances can't be made.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/RpmlintPreferencePage.java 
	(init): Add comment.

2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Add back qualifier for trunk.

2009-01-14  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Bump release for Linuxtools 0.1 release.

2009-01-12  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Add qualifier to the version.

2009-01-06  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Bump release to 0.4.1.

2008-12-18  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/ARpmlintResolution.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AInsertLineResolution.java 
	(run): Remove functionality that is in the base class now.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/ARemoveLineResolution.java 
	(run): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AReplaceTextResolution.java 
	(run): Likewise.

2008-11-28  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix problem with enabling rpmlint warnings after task handler addition.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java 
	(getSpecfileTaskHandler): Match the error handler api.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java 
	(visit): Set the task handler too.

2008-11-27  Alexander Kurtakov  <akurtakov@gmail.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java 
	(getLineNumberForInsert): Update to latest Specfile changes.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java 
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java 
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java 
	(getLineNumberForInsert): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java 
	(getLineNumberForInsert): Likewise.

2008-11-26  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix imports caused by marker handlers movement.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java: Fix imports.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerRemoveVisitor.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java: Likewise.

2008-11-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* build.properties: Add plugin.properties to bin.includes.

2008-10-31  Andrew Overholt  <overholt@redhat.com>

	* plugin.properties: Initial import.
	* META-INF/MANIFEST.MF: Use plugin.properties.  Add "(Incubation)".

2008-10-20  Alexander Kurtakov  <akurtakov@gmail.com>
	Fix deprecations.
	* META-INF/MANIFEST.MF:
	Use Bunde-ActivationPolicy instead of the deprecated Eclipse-LazyStart.

2008-10-13 Alexander Kurtakov  <akurtakov@gmail.com>
	3 more quick fixes with some cleanup.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AInsertLineResolution.java:
	(run): Store the marker line for use in the resolution.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java:
	Add license.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/MacroInChangelog.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java:
	(getLineNumberForInsert): Handle warning from clean section too.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleanSection.java:
	New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoInstallSection.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoPrepSection.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Register the new quickfixes.
	(hasResolutions): Register all the resolutions.

2008-08-02 Alexander Kurtakov  <akurtakov@gmail.com>
	Two more quick fixes.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable new fixes.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPackagerTag.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/HardcodedPrefixTag.java: Likewise.

2008-08-02 Alexander Kurtakov  <akurtakov@gmail.com>
	Cleanup.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java:
	Remove unused import.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java:
	Make ID final.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/PatchNotApplied.java:
	Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmBuildrootUsage.java:
	Likewise.

2007-07-18  Alphonse Van Assche   <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: bump to 0.0.2
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java (run): Generify.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintMarkerVisitor.java (visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintNature.java (configure): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java (getRealLineNbr): Likewise.
	(parseRpmlintOurput): Ignore rpmlint 0.83 summary line.

2008-05-24  Alexander Kurtakov  <akurtakov@gmail.com>
	Add missing @Override annotations.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java:
	(start): Likewise.
	(stop): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java:
	(build): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintItem.java:
	(toString): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/PreferenceInitializer.java:
	(initializeDefaultPreferences): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/preferences/RpmlintPreferencePage.java:
	(createFieldEditors): Likewise.

2008-05-22  Alexander Kurtakov  <akurtakov@gmail.com>
	Add rpm-buildroot-usage quick fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmBuildrootUsage.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable rpm-buildroot-usage fix.

2008-05-22  Alexander Kurtakov  <akurtakov@gmail.com>
	Add macro-in-changelog quick fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/MacroInChangelog.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable macro-in-changelog fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AReplaceTextResolution.java:
	(run): Replace at the exact position in the line.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/SetunNotQuiet.java:
	(getOriginalString): Mark as @Override.
	(getReplaceString): Likewise.
	* META-INF/MANIFEST.MF: Bump BREE to J2SE-1.5

2008-05-21  Alexander Kurtakov  <akurtakov@gmail.com>
	Add no-%build-section quick fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildSection.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable no-%build-section fix.

2008-05-19  Alexander Kurtakov  <akurtakov@gmail.com>
	Add no-cleaning-of-buildroot quick fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoCleaningOfBuildroot.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable no-cleaning-of-buildroot quick fix.

2008-05-19  Alexander Kurtakov  <akurtakov@gmail.com>
	Add no-buildroot-tag quick fix.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/AInsertLineResolution.java: New file.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/NoBuildrootTag.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/resolutions/RpmlintMarkerResolutionGenerator.java:
	(getResolutions): Enable no-buildroot-tag.
	* META-INF/MANIFEST.MF: Import org.eclipse.ui.editors package.

2008-04-29  Alexander Kurtakov  <akurtakov@gmail.com>
	Generify.
	* src/org/eclipse/linuxtools/rpm/rpmlint/actions/ToggleRpmlintNatureAction.java
	(run): Generify.
	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java
	(fullBuild): Likewise.
	(incrementalBuild): Likewise.
	(visitAndMarkRpmlintItems): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintDeltaVisitor.java
	(getVisitedPaths): Likewise.
	(visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintMarkerVisitor.java
	(RpmlintMarketVisitor): Likewise.
	(visit): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintPreVisitor.java
	(getVisitedPaths): Likewise.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java
	(getNumberOfIterations): Likewise.
	(parseRpmlintOurput): Likewise.
	(parseVisited): Likewise.
	(runRpmlintCommand): Likewise.
	(splitArrayList): Likewise.

2008-04-08  Alexander Kurtakov  <akurtakov@gmail.com>

	* .classpath:
	The minimum java version is 5 now.
	* .settings/org.eclipse.jdt.core.prefs:
	Bump the compiler lever to 5.

2007-07-18  Alphonse Van Assche   <alcapcom@gmail.com>

	* META-INF/MANIFEST.MF: Remove unneeded deps.

2007-06-26  Alphonse Van Assche   <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintDeltaVisitor.java:
	(visit): Remove old markers when a resource is modified.

2007-06-25  Alphonse Van Assche   <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/builder/RpmlintBuilder.java:
	Cleanup some messages.
	* src/org/eclipse/linuxtools/rpm/rpmlint/Activator.java:
	Add license.
	* src/org/eclipse/linuxtools/rpm/rpmlint/RpmlintLog.java:
	Add license + cleanup the javadoc.
	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java:
	Remove unneeded stack traces printing.

2007-06-22  Alphonse Van Assche   <alcapcom@gmail.com>

	* .cvsignore: Add bin dir.

2007-06-21  Alphonse Van Assche  <alcapcom@gmail.com>

	* src/org/eclipse/linuxtools/rpm/rpmlint/parser/RpmlintParser.java
	(splitArrayList): Don't return the list to be compatible with parseVisisted new
	implementation.

2007-05-22  Alphonse Van Assche  <alcapcom@gmail.com>

	Initial version.